Subject: Re: bug#53172: 29.0.50; cannot use fcitx5 after upgrading emacs

From: Po Lu <[email-masked]>
Date: Tue, 11 Jan 2022 16:17:51 +0800

王会斌 <[email-masked]> writes:

> From: [email-masked]
>
> To: [email-masked]
>
> Subject: 29.0.50; cannot use fcitx5 after upgrading emacs
>
> Date: Tue, 11 Jan 2022 09:22:01 +0800
>
> Message-ID: <[email-masked]>
>
> --text follows this line--
>
> After upgrading emacs to the latest version, I cannot enable fcitx5 in
>
> emacs.
>
> When I try to enable it, the frame of fcitx just appears and disappears
>
> quickly.
>
> The version that does not has this issue I know is
>
> emacs-git-29.0.50.153249-1-x86_64.pkg.tar.zst. And the version I am
>
> using, which has this issue, is 29.0.50.153486-1.

I tend to suspect this is an fcitx bug caused by some of the recent
changes to XIM support on master (Emacs is essentially the last
remaining XIM client that is actually used, along with WPS Office, so it
doesn't get very good support from modern input method frameworks.)

Please try launching Emacs with like below in turn, and tell with which
options fcitx remains broken:

  emacs -q -xrm 'Emacs.inputStyle: none'
  emacs -q -xrm 'Emacs.inputStyle: offthespot'
  emacs -q -xrm 'Emacs.inputStyle: overthespot'
  emacs -q -xrm 'Emacs.inputStyle: root'
  emacs -q -xrm 'Emacs.inputStyle: callback'

Thanks.